#!/bin/sh
#--------------------------------------------
# script used for lora station (wirnet)
#--------------------------------------------

trap "killall snmpd" SIGINT SIGQUIT SIGTERM
killall snmpd

#by default, look for the SERIAL depending of the station
#if argument given, take the first arg as SERIAL

cd /mnt/fsuser-1/snmp
mkdir -p traces

if [ ! -f lorasnmp.so.0 ] # symbolic removed during installation
then 
  ln -s lorasnmp.so.0.0.0 lorasnmp.so.0
fi

# Serial Number according to the platform
. ./serial_function

#Remove default RW access to set serial
grep -q "rwcommunity $SERIAL" snmpd.conf
if [ $? == 1 ] #not found
then 
  echo "snmpd.conf grep result KO"
  sed -i -r -e "/^rwcommunity/ d" snmpd.conf
  echo "rwcommunity $SERIAL" >> snmpd.conf
  sync
else
  echo "snmpd.conf: parameter already set !!"
fi

#Remove default or previous openVPN link (snmpd restarted after tunnel openVPN up)
if [ -f /etc/openvpn/client-openvpn.conf ] 
then 
  grep -q ";route-up /mnt/fsuser-1/snmp/killall_snmp.sh" /etc/openvpn/client-openvpn.conf
  if [ $? == 0 ] #commented string found
  then 
    echo "clientopenvpn.conf grep result OK"
    sed -i -r -e "/^;route-up.*/ d" /etc/openvpn/client-openvpn.conf
    sed -i -r -e "/^route-up.*/ d" /etc/openvpn/client-openvpn.conf
    echo "route-up /mnt/fsuser-1/snmp/killall_snmp.sh" >> /etc/openvpn/client-openvpn.conf
  else
    echo "clientopenvpn.conf: parameter already set !"
  fi
fi

set -x #echo on
export MIBDIRS=$PWD/mibs

#Execution of the daemon (stdout and stderr redirected to syslog thanks to logger)
# /etc/syslog.conf should contain the line:
# local0.* /mnt/fsuser-1/snmp/traces/snmp.log
snmpd -C -c snmpd.conf -f -Lo -Ddlmod,trap 2>&1 |logger -p local0.notice
